2015-12-22  Jeff Sparkes  <jsparkes@gmail.com>

	* widgets-gtk.el (gtk-widget-property-internal): Unused, so remove.
	(gtk-widget-redisplay-internal): Ditto.

2015-12-21  Jeff Sparkes  <jsparkes@gmail.com>

	* widgets-gtk.el (gtk-widget-instantiate-button-internal): Comment
	out; save for reference as C version is incomplete.

2015-12-18  Jeff Sparkes  <jsparkes@gmail.com>

	* widgets-gtk.el (gtk-widget-instantiate-entry-internal): Delete.

2015-12-11  Jeff Sparkes  <jsparkes@gmail.com>

	* widgets-gtk.el gtk-widget-instantiate-progress-internal):
	Delete.  Set progress-gauge instantiator to ignore.
	Remove pre-definition of label and progress bar functions.

2015-11-28  Jeff Sparkes  <jsparkes@gmail.com>

	* widgets-gtk.el (gtk-button-new-with-label): Don't define
	prototypes for gtk-notebook functions.
	(gtk-widget-instantiate-notebook-internal): Comment out.
	(tab-control): Ignore notebook-instantiator, it's moved to C.

2015-01-25  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-init.el (make-device-late-gtk-entry-point): Load
	etc/xemacs.css here.

2013-11-01  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-faces.el (gtk-init-device-faces): Only apply style
	information to faces in Gtk 2, for now.

	* gtk-widgets.el (): Don't import Gtk version variables directly.
	They are implemented differently between Gtk 2 and 3, so we have
	to wrap them now.

	* gtk-init.el (gtk-version-string): Declare var alias for FSF
	compatability.

2013-10-29  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-mouse.el (gtk-init-pointers): Re-enable this function.

2011-06-29  Aidan Kehoe  <kehoea@parhasard.net>

	* redisplay-gtk.c:
	* redisplay-gtk.c (XLIKE_text_width):
	* redisplay-xlike-inc.c:
	* redisplay-xlike-inc.c (XLIKE_output_string):
        No need to separate_textual_runs on GTK, it's reasonable and
        appropriate to let Pango worry about font coverage once we've
        converted the text to Unicode.

2011-06-29  Aidan Kehoe  <kehoea@parhasard.net>

	* custom.el (custom-declare-variable):
        Remove purecopy here, missed in the merge.

2011-05-15  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-widgets.el (GtkWidget): Remove gtk-toolbar-* functions.

2011-05-03  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-widgets.el (gboolean): Define some gtk-widget-* functions
	for displaying widgets.

2011-04-24  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-faces.el (gtk-font-weights): Define.
	(gtk-font-weights): Define.
	(gtk-convert-font-from-xlfd): Define.
	(gtk-convert-font-weight-from-xlfd): Define.
	(gtk-convert-font-slant-from-xlfd): Define.

2011-04-23  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-widgets.el: Add some toolbar and toolitem bindings.

2011-04-22  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-marshal.el (): Add marshallers for INT__INT and
	INT__INT_INT. Needed for gtk-window-new.

	* gtk-widgets.el (GtkWidget): Add gtk-window-new.
	(GtkWidget): Update gtk-toolbar-new to 2.0 params.

2011-04-03  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-faces.el: Comment out bold and italic fonts functions
	because they have been moved into src/fontcolor-gtk.c.

2010-08-02  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-marshal.el (name-to-return-type): return fundamental C types
	for mapping.
	(define-marshaller): Use GType instead of deprecated GtkArg.
	(define-marshaller): Intialize retval GType with type before
	setting the value.

2010-07-22  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-password-dialog.el (gtk-password-dialog-new): Update to Gtk
	2.0 dialog functions.

	* gtk-file-dialog.el (gtk-file-dialog-new): Update to Gtk 2.0
	dialog functions.

	* dialog-gtk.el (popup-builtin-question-dialog): Update to Gtk 2.0
	dialog functions.

	* gtk-widgets.el: Import gtk-dialog functions.

2010-06-30  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-marshal.el (find-file): Add two more sets of args for marshalling.
2010-06-11  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-widgets.el: import new GtkNotebook functions.

2010-06-05  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-marshal.el (find-file): Add a marshaller that takes a
	pointer and a bool that returns no value.

2010-06-03  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-marshal.el (find-file): Add "pointer string" marshaller.

2010-06-01  Jeff Sparkes  <jsparkes@gmail.com>

	* gtk-widgets.el (GType): Replace GtkType with GType everyone for
	Gtk 2.x.  Comment out removed widgets and related functions for
	GtkPacker type. 

	* gtk-widget-accessors.el ("../src/emacs-widget-accessors.c"):
	Comment out serveral GtkWidget fields I don't handle yet. Comment
	out obsolete types that are no longer in 2.x. 

	* gtk-ffi.el (gtk-type-aliases): Define GtkString as gchararray
	and GdkWindow as a pointer.

2000-09-12  William M. Perry  <wmperry@aventail.com>

	* dialog-gtk.el (popup-builtin-open-dialog): Went back to
	using our lisp implementation of the file dialog.  Much more
	featureful.

	* ui/gtk-file-dialog.el: Reworked to use CList instead of Tree
	elements (more like the `real' GTK file selector.

2000-09-10  William M. Perry  <wmperry@aventail.com>

	* gtk-iso8859-1.el (gtk-iso8859-1): Need to actually provide
	the feature

2000-09-09  William M. Perry  <wmperry@aventail.com>

	* dialog-gtk.el (popup-builtin-open-dialog): Guard against
	calling gtk-main-quit too many times when destroying the
	file-selection dialog.

2000-09-08  William M. Perry  <wmperry@aventail.com>

	* gtk-init.el (gtk-initialize-compose): Initialize the compose
	map like X does.

2000-09-03  William M. Perry  <wmperry@aventail.com>

	* menubar-items.el (default-menubar): Include the font & size
	menus when running under GTK.

	* gtk-faces.el (x-font-regexp-*): Added variable aliases for
	the x-font-regexp-* variables.  x-font-menu works now.

	* x-font-menu.el (font-menu-set-font): When setting the font, make
	sure we don't set the type to 'x' blithely.  This code is shared
	with GTK now.

2000-08-30  William M. Perry  <wmperry@aventail.com>

	* dialog-gtk.el (popup-builtin-open-dialog): Signal 'quit' if the
	user hits the cancel button.  This gets rid of the 'wrong type
	argument: stringp, nil' error.

2000-08-28  William M. Perry  <wmperry@aventail.com>

	* menubar-items.el (default-menubar): Disable the GTK font menu
	item.

	* dialog-gtk.el (popup-builtin-open-dialog): Reimplemented the
	file-open dialog to use the normal GTK selector.

2000-07-26  William M. Perry  <wmperry@aventail.com>

	* gtk-init.el (init-post-gtk-win): Define the mule-fonts specifier
	tag and default fonts for it when mule is provided.  This will
	make x-symbol.el work.

2000-07-24  William M. Perry  <wmperry@aventail.com>

	* ui/gdk.el: Ditto.

	* ui/gnome-widgets.el: Ditto.

	* ui/gtk-widgets.el: Updated all gtk-import-function calls to pass
	a symbol instead of a quoted string.

	* ui/gtk-ffi.el (gtk-import-variable): Make gtk-import-variable
	able to take symbols instead of just strings.  More consistent
	with gtk-import-function this way.

2000-07-22  William M. Perry  <wmperry@aventail.com>

	* gtk-init.el (init-pre-gtk-win): Did not realize I had to do lisp
	hackery to get '-unmapped' to work.

2000-07-12  William M. Perry  <wmperry@aventail.com>

	* ui/gtk-widgets.el (gtk-ctree-post-recursive): 
	(gtk-ctree-post-recursive-to-depth): 
	(gtk-ctree-pre-recursive): 
	(gtk-ctree-pre-recursive-to-depth): Added wrappers around the
	combined gtk-ctree-recurse to make things easier on GTK authors
	porting other code.

2000-07-11  William M. Perry  <wmperry@aventail.com>

	* gtk-init.el (init-gtk-win): Set gtk-initial-geometry out of
	command-line-args-left.
	(gtk-filter-arguments): New function to filter out only GTK/GNOME
	approved command line arguments.
	(init-gtk-win): Set gtk-initial-argv-list by filtering it.  This
	way we get session management/etc from GNOME.

2000-07-07  William M. Perry  <wmperry@aventail.com>

	* gtk-faces.el (gtk-init-global-faces): Make sure to pass in a GTK
	device (any GTK device) try-font-name when initializing the global
	faces or it gets confused and cannot find a font, so the code in
	faces.el ends up setting device-specific faces, which are hard (or
	at least non-obvious) for users to work around.

2000-07-01  William M. Perry  <wmperry@aventail.com>

	* ui/gtk-widgets.el (GtkType): Added GtkCTree finally.

	* ui/gtk-ffi.el (gtk-ffi-check-function): New function that will
	try to call a newly defined FFI function and report on whether we
	need to define any new marshallers for it.
	(gtk-ffi-debug): If non-nil, then we will check ALL functions that
	come through gtk-import-function.  All existing imported functions
	have been checked, and a few missings ones were added.

	* ui/glade.el: New file to import libglade functions.

2000-06-30  William M. Perry  <wmperry@aventail.com>

	* ui/gdk.el: Added most of the GDK drawing primitives.

2000-06-27  William M. Perry  <wmperry@aventail.com>

	* ui/gtk-widgets.el: Import gtk-major-version, gtk-minor-version,
	gtk-micro-version, gtk-interface-age, and gtk-binary-age.

	* ui/gtk-ffi.el (gtk-import-variable): New macro to import a
	variable.  Needed to do it as a function, otherwise you could not
	byte compile / dump the file in a non-windowed XEmacs.

2000-06-23  William M. Perry  <wmperry@aventail.com>

	* menubar-items.el (default-menubar): Disable
	make-frame-on-display if the function is not available.

2000-06-02  William M. Perry  <wmperry@aventail.com>

	* gtk-mouse.el (gtk-init-pointers): Make sure we set a toolbar
	pointer.  Looked kind of silly to have the 'xterm' cursor in
	there by default.

2000-06-01  William M. Perry  <wmperry@aventail.com>

	* ui/gtk-widgets.el: Imported GtkStatusbar

	* ui/gtk-marshal.el (define-marshaller): All marshalling functions
	are now static.
	* ui/gtk-marshal.el: Now outputs a function to populate a
	hashtable with mappings from function name -> function pointer.
	Also emits the find_marshaller () function that looks at this
	hashtable.

2000-05-29  William M. Perry  <wmperry@aventail.com>

	* ui/gtk-ffi.el (gtk-import-function): Allow passing in of a
	symbol for the function name, as well as a string.

	* ui/gtk-widgets.el: Import the GtkSpinButton widget.

2000-05-26  William M. Perry  <wmperry@aventail.com>

	* ui/gtk-ffi.el (gtk-import-function): Rewrote as a macro so that
	teh file can be safely byte-compiled.  Argument values no longer
	need to be quoted, and the function is not actually imported until
	the function is called.  Should save even more on loadup time.
	(gtk-import-function): Do not defvar `lisp-name' - put the FFI
	object on the symbols plist.  Makes the lisp variable namespace
	that much cleaner.

	* ui/gtk-widgets.el: New uber-file containing all the GTK imported
	functions.  Load time is significantly faster than requiring ~90
	different (usually 5 line) .el files, and polluting the 'features'
	variable.

2000-05-23  William M. Perry  <wmperry@aventail.com>

	* ui/gtk-widget-accessors.el (define-widget-accessors): Fixed
	bogus handling of GTkListOfString and GtkListOfObject slots.
	These need to have the FULL type, not the fundamental type.  And
	_POINTER was just plain wrong for them - cause beautiful crashes
	on linux. :)

	* gtk-faces.el (gtk-choose-font): New function to change fonts
	based on a GTK font selection dialog.

	* menubar-items.el (default-menubar): Only show the font/size
	submenus when we are in an X frame.
	(default-menubar): Show a gtk-specific item when on GTK frames.

	* ui/gtk-marshal.el (define-marshaller): We need to special case
	anything with FLOAT in the argument list or the parameters get
	screwed up royally.

2000-05-21  William M. Perry  <wmperry@aventail.com>

	* ui/gtk-file-dialog.el (gtk-file-dialog-fill-file-list): New file
	dialog that is actually useful and much prettier than the default
	GTK one.

2000-05-20  William M. Perry  <wmperry@aventail.com>

	* ui/gtk-ffi.el (gtk-import-function): Auto-run gnome-*-get-type
	routines as well as the gtk-*-get-type ones.

	* minibuf.el (mouse-read-file-name-1): Now tries to use the new
	builtin dialog spec ben wrote about.  Uses the GTK file selection
	dialog.  We should be able to come up with something much sexier
	though - the default dialog box for GTK sucks hard.

2000-05-17  William M. Perry  <wmperry@aventail.com>

	* gtk-faces.el (gtk-init-device-faces): Make use of the extended
	return values of gtk-style-info.  Set the 'highlight' face to look
	like GTK_STATE_PRELIGHT and 'zmacs-region' to be
	GTK_STATE_SELECTED.  Unfortunately these two faces will not
	automatically be updated because they are not exposed to lisp
	like Vdefault_face and friends.

2000-05-16  William M. Perry  <wmperry@aventail.com>

	* gtk-faces.el (gtk-init-device-faces): Removed a whole bunch of
	face munging that is now done down in the guts of the GtkXEmacs
	widget.

	* gnuserv.el (gnuserv-edit-files): Handle GTK devices.

	* ui/gtk-ffi.el (gtk-import-function): Make this a noop if
	noninteractive.  This allows us to compile the files during the
	make process.

2000-05-10  William M. Perry  <wmperry@aventail.com>

	* dialog-gtk.el: New file implementing popup dialogs in Lisp using
	GTK primitives.  Called from dialog-gtk.c

	* dumped-lisp.el (preloaded-file-list): Make sure we load up
	menubar-items under GTK.
	(preloaded-file-list): Load up dialog-gtk when using GTK.

2000-05-08  William M. Perry  <wmperry@aventail.com>

	* ui/gtk-widget-accessors.el (define-widget-accessors): New file
	to define C functions that go into
	../../src/emacs-widget-accessors.c.  This is a hack to get around
	the lack of accessor/settor functions in GTK for a LOT of things
	that are required for full functionality (like dialogs)

2000-05-07  William M. Perry  <wmperry@aventail.com>

	* gtk-faces.el (gtk-init-face-from-resources): Set the highlight
	face as well.


Copyright (C) 2000  William M. Perry

This file is part of XEmacs.

XEmacs is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

XEmacs is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with XEmacs.  If not, see <http://www.gnu.org/licenses/>.
